## faucet-1.8.31.tar.gz

=== requirements.txt ===
chewie==0.0.12
datadiff
eventlet==0.22.1 # pyup: ignore
influxdb
msgpack
msgpack-python
networkx
pbr>=1.9
prometheus_client==0.4.2
pyyaml
ryu==4.30
beka==0.3.3
pytricia

=== docs/requirements.txt ===
-r ../requirements.txt
sphinx==1.8.2
sphinx_rtd_theme==0.4.2

=== adapters/vendors/rabbitmq/requirements.txt ===
pika==0.12.0

=== debian/changelog ===
faucet (1.7.0) unstable; urgency=medium

  * faucet debian folder added
  * config files moved to /etc/faucet/

 -- Jayden Hewer <jfh13@students.waikato.ac.nz>  Tue, 13 Mar 2018 11:21:39 +1300

=== debian/control ===
Source: faucet
Section: python
Priority: optional
Maintainer: Faucet Maintainers <maintainers@faucet.nz>
Build-Depends: debhelper (>=9),
               dh-systemd (>= 1.5),
               dh-python,
               git,
               python3-pkg-resources,
               python3-all,
               python3-setuptools,
               python3-pbr (>=1.9),
               python3-bitstring,
               python3-datadiff,
               python3-influxdb,
               python3-msgpack,
               python3-networkx,
               python3-prometheus-client,
               python3-yaml,
               python3-eventlet (>= 0.22.1), python3-eventlet (<< 0.22.2),
               python3-ryu,
               python3-beka,
               python3-chewie,
               python3-pytricia,
Standards-Version: 3.9.6
Homepage: https://github.com/faucetsdn/faucet
X-Python3-Version: >= 3.4
Vcs-Git: https://github.com/faucetsdn/faucet.git
Vcs-Browser: https://github.com/faucetsdn/faucet

Package: python3-faucet
Architecture: all
Depends: python3-oslo.config (>= 1:3.9~),
         python3-datadiff (>= 2.0.0),
         python3-influxdb (>= 2.12.0),
         python3-msgpack (>= 0.4.2),
         python3-networkx (>= 1.9),
         python3-pbr (>= 1.9),
         python3-prometheus-client (>= 0.4.2), python3-prometheus-client (<< 0.4.3),
         python3-yaml (>= 3.1.1),
         python3-eventlet (>= 0.22.1), python3-eventlet (<< 0.22.2),
         python3-ryu (>= 4.30), python3-ryu (<< 4.31),
         python3-beka (>= 0.3.3), python3-beka (<< 0.3.4),
         python3-chewie (>= 0.0.12), python3-chewie (<< 0.0.13),
         python3-pytricia (>= 1.0.0),
         python3:any (>= 3.4~),
Suggests: python-faucet-doc, faucet, gauge
Description: source code for faucet and gauge (Python3)
 Python3 library that contains the source code for the Faucet open source
 OpenFlow controller, see faucet and gauge packages for further information.
 .
 This package installs the library for Python 3.

Package: faucet
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.7.0),
Suggests: gauge
Description: This is a compact open source OpenFlow controller (Python 3)
 This is a compact open source OpenFlow controller, which enables network
 operators to run their networks the same way they do server clusters.
 Faucet moves network control functions
 (like routing protocols, neighbor discovery, and switching algorithms)
 to vendor independent server-based software,
 versus traditional router or switch embedded firmware,
 where those functions are easy to manage, test, and extend with modern
 systems management best practices and tools.

Package: gauge
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.7.0),
Suggests: python-faucet-doc, faucet
Description: This is a component the Faucet OpenFlow controller (Python 3)
 This is a component of the Faucet OpenFlow controller,
 maintains an OpenFlow connection to switches and monitors port and flow
 state (exporting it to Prometheus or InfluxDB, or even flat text log files).
 Gauge does not ever modify the switch’s state, so that switch monitoring
 functions can be upgraded, restarted, without impacting forwarding.

Package: faucet-all-in-one
Architecture: all
Depends: faucet (>= 1.7.0),
         gauge (>= 1.7.0),
         python3-faucet (>= 1.7.0),
         prometheus (>= 2.0.0),
         grafana,
Suggests: python-faucet-doc
Description: Metapackage to install all the component of faucet (Python 3)
 includes python3-faucet, faucet, gauge, grafana
 and prometheus.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DEBINSTALL=1
export PYBUILD_NAME=faucet
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/usr/etc'

%:
	dh $@  --with python3,systemd --buildsystem=pybuild

override_dh_installinit:
	dh_installinit --noscripts

override_dh_auto_install:
	dh_auto_install

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover tests/unit/faucet/ && {interpreter} -m unittest discover tests/unit/gauge/'
